Summary:       Off-The-Record Messaging library and toolkit
Name:          libotr
Version:       4.1.1
Release:       4%{?dist}
License:       GPLv2 and LGPLv2
Url:           http://otr.cypherpunks.ca/
Source0:       http://otr.cypherpunks.ca/%{name}-%{version}.tar.gz

Patch3000:     libotr-4.1.1-versioning.patch
Patch3001:     libotr-4.1.1-socket-h.patch

BuildRequires: make gcc libgcrypt-devel libgpg-error-devel
Requires:      libgcrypt pkgconfig

Provides:      libotr-toolkit = %{version}
Obsoletes:     libotr-toolkit < %{version}

%description
Off-the-Record Messaging Library and Toolkit. This is a library and toolkit
which implements Off-the-Record (OTR) Messaging. OTR allows you to have private
conversations over IM by providing Encryption, Authentication, Deniability and
Perfect forward secrecy.

%package       devel
Summary:       Development library and include files for libotr
Requires:      %{name} = %{version}-%{release} libgcrypt-devel
Conflicts:     libotr3-devel

%description   devel
The devel package contains the libotr library and include files.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure \
    --with-pic \
    --disable-rpath \
    --disable-static

sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
%make_build all

%install
rm -rf %{buildroot}
%make_install
rm -rf %{buildroot}%{_libdir}/*.la

%files
%license COPYING COPYING.LIB
%doc AUTHORS README NEWS Protocol*
%{_libdir}/libotr.so.*
%{_bindir}/*
%{_mandir}/man1/*

%files devel
%doc ChangeLog
%{_libdir}/libotr.so
%{_libdir}/pkgconfig/libotr.pc
%dir %{_includedir}/libotr
%{_includedir}/libotr/*
%{_datadir}/aclocal/*


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.1.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.1.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.1.1-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Nov 25 2022 Shuo Wang <abushwang@tencent.com> - 4.1.1-1
- initial build
